<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>jquery019_imageList</title>
<style type="text/css">
* {
	margin: 0px;
	padding: 0px;
	border-width: 0px;
}

ul {
	list-style-type: none;
	width: 300px;
}

li {
	width: 90px; 
	height: 100px;
	border: 1px solid black;
	margin-bottom: 2px;
	margin-right: 2px;
	padding-left:3px;
	padding-right:3px;
	float:left;	
	padding-top:10px;
	text-align: center;
}
</style>
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

<script>
	$(document).ready(
			function() {
				var imgList = [ 'pic_t1.jpg', 'pic_t2.jpg', 'pic_t3.jpg',
						'pic_t4.jpg', 'pic_t5.jpg', 'pic_t6.jpg', 'pic_t7.jpg',
						'pic_t8.jpg' ];
				
	    $.each(imgList, function(index, value){
	    	$('ul').append('<li><img src="images/'+
	    			value+'" /><p><input type="checkbox" /><span>이미지'+
	    		    (index+1)+'</span></p></li>');
	    });		
	    
	    $('.check_all').click(function() {
			//전체선택 및 전체 해제
			$('input[type=checkbox]').prop('checked', this.checked);			
     	});
	    
	    //삭제
	    $('button').click(function() {
			$('input[type=checkbox]:checked').each(function() {									
				$(this).parents('li').remove();
			});
		});
   });
</script>
</head>
<body>
	<button>삭제</button>
	<input type="checkbox" class="check_all" />전체선택
	<ul>

	</ul>
</body>
</html>









